"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _hapi = _interopRequireDefault(require("@hapi/hapi"));
var _qs2 = _interopRequireDefault(require("qs"));
var _hapiConfig = require("../config/hapiConfig");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return typeof key === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (typeof input !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (typeof res !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
class HapiInitClass {
  static getInstance() {
    if (!HapiInitClass.instance) {
      HapiInitClass.instance = new HapiInitClass();
    }
    return HapiInitClass.instance;
  }
  constructor(routes = {}) {
    _defineProperty(this, "serverClient", void 0);
    let http_server_config = (0, _hapiConfig.httpserverConfig)();
    this.serverClient = _hapi.default.server({
      port: http_server_config.prot ? parseInt(http_server_config.prot) : 3000,
      host: http_server_config.host ? http_server_config.host : 'localhost',
      query: {
        parser: query => _qs2.default.parse(query)
      },
      routes: {
        payload: {
          allow: "application/json"
        }
      }
    });
    this.setRoute(routes);
  }
  setRoute(routes) {
    if (JSON.stringify(routes) !== "{}") this.serverClient.route(routes);
    return this;
  }
  init() {
    let that = this;
    return new Promise((resolve, reject) => {
      that.serverClient.start().then(res => {
        console.log('Server running on %s', that.serverClient.info.uri);
        resolve(that.serverClient);
      }).catch(err => {
        reject(err);
      });
    });
  }
}
_defineProperty(HapiInitClass, "instance", void 0);
var _default = exports.default = HapiInitClass.getInstance;